update
[ikiwiki.git] / debian / NEWS
1 ikiwiki (3.20100505) UNRELEASED; urgency=low
2
3   There is a significant change to the page.tmpl template in this version.
4   If you have locally modified versions of that template, you will need
5   to update it to contain the following in the HTML <head>:
6
7     <TMPL_IF DYNAMIC>
8     <TMPL_IF FORCEBASEURL><base href="<TMPL_VAR FORCEBASEURL>" /><TMPL_ELSE>
9     <TMPL_IF BASEURL><base href="<TMPL_VAR BASEURL>" /></TMPL_IF>
10     </TMPL_IF>
11
12   There have also been some changes to the style.css in this version,
13   particularly to support the new openid selector. If you have a modified
14   version, of style.css, updating it (or moving it to local.css) is
15   recommended.
16
17  -- Joey Hess <joeyh@debian.org>  Wed, 05 May 2010 21:47:08 -0400
18
19 ikiwiki (3.20100427) unstable; urgency=low
20
21   This version of ikiwiki has a lot of changes that you need to know about.
22
23   Now you can include customised versions of templates in the source
24   of your wiki. (For example, templates/page.tmpl.) When these templates
25   are changed, ikiwiki will automatically rebuild pages that use them.
26
27   Allowing untrusted users to upload attachments with the ".tmpl"
28   extension is not recommended, as that allows anyone to change
29   a wiki's templates.
30
31   The --getctime switch is renamed to --gettime, and it also gets the 
32   file modification time. And it's a lot faster (when using git). But
33   the really important change is, you don't have to remember to use this
34   switch. Now ikiwiki will do it when it needs to.
35
36   At last, the "tagged()" pagespec only matches tags, not regular wikilinks.
37   If your wiki accidentially relied on the old, buggy behavior, you might
38   need to change its pagespecs to use "link()".
39
40   Many of your wishes have been answered: Now tag pages can automatically be
41   created when new tags are used. This feature is enabled by default if you
42   have configured a tagbase. It can be turned on or off using the
43   tag_autocreate setting.
44
45   These changes may also affect some users:
46
47   * The title_natural sort method (as used by the inline directive, etc)
48     has been moved to the new sortnaturally plugin, which is not enabled
49     by default since it requires the Sort::Naturally perl module.
50
51   * The add_templates option has been removed from the underlay plugin.
52     If you used this option, you can instead use templates/ subdirectories
53     inside underlay directories added by the add_underlays option.
54
55   Due to the above and other changes, all wikis need to be rebuilt on
56   upgrade to this version. If you listed your wiki in /etc/ikiwiki/wikilist
57   this will be done automatically when the Debian package is upgraded. Or
58   use ikiwiki-mass-rebuild to force a rebuild.
59
60  -- Joey Hess <joeyh@debian.org>  Tue, 27 Apr 2010 00:00:00 -0400
61
62 ikiwiki (3.20091017) unstable; urgency=low
63
64   To take advantage of significant performance improvements, all
65   wikis need to be rebuilt on upgrade to this version. If you
66   listed your wiki in /etc/ikiwiki/wikilist this will be done
67   automatically when the Debian package is upgraded. Or use
68   ikiwiki-mass-rebuild to force a rebuild.
69
70  -- Joey Hess <joeyh@debian.org>  Mon, 05 Oct 2009 16:48:59 -0400
71
72 ikiwiki (3.1415926) unstable; urgency=low
73
74   In order to fix a performance bug, all wikis need to be rebuilt on
75   upgrade to this version. If you listed your wiki in
76   /etc/ikiwiki/wikilist this will be done automatically when the
77   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force
78   a rebuild.
79
80  -- Joey Hess <joeyh@debian.org>  Tue, 25 Aug 2009 17:24:43 -0400
81
82 ikiwiki (3.13) unstable; urgency=low
83
84   The `ikiwiki-transition deduplinks` command introduced in the
85   last release was buggy. If you followed the NEWS file instructions
86   and ran it, you should run `ikiwiki -setup` to rebuild your wiki
87   to fix the problem.
88
89  -- Joey Hess <joeyh@debian.org>  Fri, 22 May 2009 13:04:02 -0400
90
91 ikiwiki (3.12) unstable; urgency=low
92
93   You may want to run `ikiwiki-transition deduplinks your.setup`
94   after upgrading to this version of ikiwiki. This command will
95   optimise your wiki's saved state, removing duplicate information
96   that can slow ikiwiki down.
97
98  -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 00:25:06 -0400
99
100 ikiwiki (3.01) unstable; urgency=low
101
102   If your wiki uses git, and you have a `diffurl` configured in
103   its setup file, you should be aware that gitweb has stopped
104   supporting the url form commonly used for the `diffurl`.
105
106   You can change your setup to use the newer gitweb url form:
107
108     http://git.example.com/gitweb.cgi?p=wiki.git;a=blobdiff;f=[[file]];h=[[sha1_to]];hp=[[sha1_from]];hb=[[sha1_commit]];hpb=[[sha1_parent]]
109
110   The changes from the old form are the addition of the `hpb` parameter,
111   and the change to the value used for the `hb` parameter.
112
113  -- Joey Hess <joeyh@debian.org>  Mon, 05 Jan 2009 18:18:05 -0500
114
115 ikiwiki (3.00) unstable; urgency=low
116
117   The 3.0 release of ikiwiki changes several defaults and finishes
118   some transitions. You will need to modify your wikis to work with
119   ikiwiki 3.0. A document explaining the process is available
120   in </usr/share/doc/ikiwiki/html/tips/upgrade_to_3.0.html>
121
122  -- Joey Hess <joeyh@debian.org>  Tue, 23 Dec 2008 16:14:18 -0500
123
124 ikiwiki (2.62) unstable; urgency=low
125
126   TexImg standard preamble changed
127
128   The teximg plugin now has a configurable LaTeX preamble.
129   As part of this change the `mchem` LaTeX package has been removed from
130   the default LaTeX preamble as it wasn't included in many TeX installations.
131
132   The previous behaviour can be restored by adding the following to your
133   ikiwiki setup:
134
135         teximg_prefix => '\documentclass{scrartcl}
136                 \usepackage[version=3]{mhchem}
137                 \usepackage{amsmath}
138                 \usepackage{amsfonts}
139                 \usepackage{amssymb}
140                 \pagestyle{empty}
141                 \begin{document}',
142
143   In addition, the rendering mechanism has been changed to use `dvipng` by
144   default, if available.
145
146  -- Joey Hess <joeyh@debian.org>  Sun, 24 Aug 2008 15:00:40 -0400
147
148 ikiwiki (2.60) unstable; urgency=low
149
150   Admin preferences are moving from the web interface to the setup file.
151   There are three new options in the setup file: `locked_pages`, `banned_users`,
152   and `allowed_attachments`. The admin prefs page can still be used, but
153   that's deprecated, and the prefs will be hidden if a value is not already
154   set. If a value is set in the web interface, you're encouraged to move that
155   setting to your setup file now, since version 3.0 will remove the deprecated
156   admin prefs web interface.
157
158   Also, the layout of the setup file has changed in a significant way in this
159   release. Old setup files will continue to work, but new features, like the
160   new websetup interface, require a new format setup file. You can convert
161   old setup files into the new format by running 
162   `ikiwiki-transition setupformat ikiwiki.setup`
163
164  -- Joey Hess <joeyh@debian.org>  Fri, 01 Aug 2008 17:02:14 -0400
165
166 ikiwiki (2.52) unstable; urgency=low
167
168   All wikis need to be rebuilt on upgrade to this version. If you listed your
169   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
170   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
171
172  -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2008 15:10:05 -0400
173
174 ikiwiki (2.49) unstable; urgency=low
175
176   The search plugin no longer uses hyperestraier. Instead, to use it you
177   will now need to install xapian-omega, and the Search::Xapian,
178   HTML::Scrubber, and Digest::SHA1 perl modules. Ie,
179   `apt-get install xapian-omega libsearch-xapian-perl libhtml-scrubber-perl libdigest-sha1-perl`
180
181   Also, wikis that use the search plugin will need to be rebuilt,
182   since the search form has changed. This will not be done automatically,
183   but can be done by running `ikiwiki-mass-upgrade` as root, or
184   running `ikiwiki -setup` on individual setup files.
185
186  -- Joey Hess <joeyh@debian.org>  Wed, 04 Jun 2008 00:29:28 -0400
187
188 ikiwiki (2.48) unstable; urgency=high
189
190   If you allowed password based logins to your wiki, those passwords were
191   stored in cleartext in the userdb. To guard against exposing users'
192   passwords, I recommend you install the Authen::Passphrase perl module, and
193   then run `ikiwiki-transition hashpassword /path/to/srcdir` to replace all
194   existing cleartext passwords with strong (blowfish) hashes.
195
196  -- Joey Hess <joeyh@debian.org>  Thu, 29 May 2008 14:39:34 -0400
197
198 ikiwiki (2.46) unstable; urgency=low
199  
200   There were some significant template changes in ikiwiki 2.42 (and 1.33.5).
201   If you have locally modified versions of the templates, they need to be
202   updated. Most notably, the editpage.tmpl has a new FIELD-SID added to it,
203   without which web editing will fail.
204  
205  -- Joey Hess <joeyh@debian.org>  Tue, 06 May 2008 14:30:14 -0400
206
207 ikiwiki (2.40) unstable; urgency=low
208
209   ikiwiki now has an new syntax for preprocessor directives, using the
210   prefix '!':
211
212   [[!directive ...]]
213
214   This new syntax no longer relies on spaces to distinguish between
215   wikilinks and preprocessor directives.  Thus, wikilinks can use spaces
216   in their link text, and preprocessor directives without arguments (such
217   as "toc") need not use a trailing space.
218
219   To enable the new syntax, set prefix_directives to true in your ikiwiki
220   config.  For backward compatibility with existing wikis,
221   prefix_directives currently defaults to false.  In ikiwiki 3.0,
222   prefix_directives will default to true, and wikis which have not yet
223   converted to the new syntax will need to set prefix_directives to false
224   in their setup files.
225
226   To convert your wiki to the new syntax, ikiwiki provides a new script
227   ikiwiki-transition.
228
229   Even with prefix_directives disabled, ikiwiki now allows an optional '!'
230   prefix on preprocessor directives (but still requires a space).  Thus, a
231   directive which uses a '!' prefix and contains a space will work with
232   ikiwiki 2.40 and newer, regardless of the value of prefix_directives.
233   This allows the underlay to work with all ikiwikis.
234
235  -- Josh Triplett <josh@freedesktop.org>  Sat, 26 Jan 2008 16:26:47 -0800
236
237 ikiwiki (2.30) unstable; urgency=low
238
239   Ever feel that ikiwiki's handling of RecentChanges wasn't truely in the
240   spirit of a wiki compiler? Well, that's changed. The RecentChanges page is
241   now a static page, not a CGI. Users can subscribe to its rss/atom feeds.
242   Custom RecentChanges pages can be easily set up that display only changes
243   to a subset of pages, or only changes by a subset of users.
244   
245   All wikis need to be rebuilt on upgrade to this version. If you listed your
246   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
247   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
248
249   With this excellent new RecentChanges support, the mail notification system
250   is its age (and known to be variously buggy and underimplemented for
251   various VCSes), and so ikiwiki's support for sending commit mails is REMOVED
252   from this version. If you were subscribed to commit mails, you should be
253   able to accomplish the same thing by subscribing to a RecentChanges feed.
254
255   The "notify" field in setup files is no longer used, and
256   silently ignored. You may want to remove it from your setup file.
257
258  -- Joey Hess <joeyh@debian.org>  Tue, 29 Jan 2008 17:18:31 -0500
259
260 ikiwiki (2.20) unstable; urgency=low
261
262   The template plugin has begin to htmlize the variables passed to templates.
263   This is normally what you want, but to get the old behavior and get at the
264   raw value, you can use `<TMPL_VAR raw_variable>` in a template.
265  
266  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
267
268 ikiwiki (2.16) unstable; urgency=low
269
270   Many of the pages in ikiwiki's basewiki have been moved and renamed in this
271   release, to avoid the basewiki including pages with names like "blog".
272   Redirection pages have been left behind for these moved pages temporarily,
273   and will be removed later.
274
275   If you use the calendar plugin, ikiwiki is now smarter and your nightly
276   cron job to update the wiki doesn't need to rebuild everything. Just pass
277   --refresh to ikiwiki in the cron job and it will update only pages that
278   contain out of date calendars.
279
280  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
281
282 ikiwiki (2.14) unstable; urgency=low
283
284   This version of ikiwiki is more picky about symlinks in the path leading
285   to the srcdir, and will refuse to use a srcdir specified by such a path.
286   This was necessary to avoid some potential exploits, but could potentially
287   break (semi-)working wikis. If your wiki has a srcdir path containing a
288   symlink, you should change it to use a path that does not.
289
290  -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 14:57:57 -0500
291
292 ikiwiki (2.9) unstable; urgency=low
293
294   Since ikiwiki 2.0 was released, some limitiations have been added to what
295   ikiwiki considers a WikiLink. In short, if there are any spaces in between
296   the brackets, ikiwiki no longer considers it to be a WikiLink. If your wiki
297   contains things meant to be WikiLinks that contain spaces, you will need to
298   fix them, by replacing the spaces with underscores.
299   
300   WikiLink have always been documented to not contain spaces, but bugs in
301   ikiwiki made it treat some text with spaces as WikiLinks. Most of these
302   bugs were fixed in version 2.2, and a final bug was fixed in this 2.9
303   release. These fixes are necessary to avoid ambiguity between
304   WikiLinks and PreProcessorDirectives. Apologies for any inconvenience
305   these bugs (and their fixes) may have caused.
306
307  -- Joey Hess <joeyh@debian.org>  Sat, 29 Sep 2007 14:37:18 -0400
308
309 ikiwiki (2.6) unstable; urgency=low
310
311   In this version the rst plugin allows raw html to be embedded in rst files.
312   As long as the htmlscrubber is enabled, this should be safe. If you are
313   using the rst plugin without the htmlscrubber in a publically writable wiki,
314   you should turn on the htmlscrubber.
315
316  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 18:37:22 -0400
317
318 ikiwiki (2.5) unstable; urgency=low
319
320   Due to some config changes in this version, wrappers need to be rebuilt on
321   upgrade. If you listed your wiki in /etc/ikiwiki/wikilist this will be
322   one automatically when the Debian package is upgraded.
323
324  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 17:54:40 -0400
325
326 ikiwiki (2.1) unstable; urgency=low
327
328   Some wikis need to be rebuilt on upgrade to this version, due to changes to
329   page templates and the style sheet. If you listed your wiki in
330   /etc/ikiwiki/wikilist this will be done automatically when the Debian
331   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
332
333  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
334
335 ikiwiki (2.00) unstable; urgency=low
336
337   With the 2.0 release of ikiwiki, some major changes have been made to the
338   default configuration:
339
340   * The 'usedirs' setting is enabled by default. This *will* break all URLs
341     to wikis that did not have 'usedirs' turned on before, unless you follow
342     the procedure described at <http://ikiwiki.info/tips/switching_to_usedirs>,
343     or edit your setup file to turn usedirs off:
344        usedirs => 0,
345
346   * OpenID logins are now enabled by default, if the Net::OpenID::Consumer
347     perl module is available. Password logins are also still enabled
348     by default. If you like, you can turn either OpenID or password logins
349     off via the 'disable_plugins' setting.
350
351  -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2007 19:00:43 -0400
352
353 ikiwiki (1.51) unstable; urgency=low
354
355   Some wikis need to be rebuilt on upgrade to this version, due to changes to
356   page layout and the style sheet. If you listed your wiki in
357   /etc/ikiwiki/wikilist this will be done automatically when the Debian
358   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
359
360  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
361
362 ikiwiki (1.50) unstable; urgency=low
363
364   Permalinks and guids in rss and atom feeds for wikis using the usedirs
365   options will change in this release. If you have already enabled usedirs,
366   you may need to take steps to avoid flooding aggregators.
367
368  -- Joey Hess <joeyh@debian.org>  Sat, 14 Apr 2007 16:08:46 -0400
369
370 ikiwiki (1.49) unstable; urgency=low
371
372   Third-party plugins that use htmlpage() or abs2rel() to generate links
373   may need changes to support the new "usedirs" option.
374
375  -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2007 16:20:09 -0400
376
377 ikiwiki (1.47) unstable; urgency=low
378  
379   Due to a security fix, wikis that have the htmlscrubber enabled can no
380   longer use the meta plugin to insert html link and meta tags.
381
382   Some special case methods have been added for safely including stylesheets,
383   and for doing openid delegation. See the meta plugin docs for details.
384  
385  -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:18:40 -0400
386
387 ikiwiki (1.45) unstable; urgency=low
388
389   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
390   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
391   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
392
393  -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
394
395 ikiwiki (1.44) unstable; urgency=low
396
397   The htmllink() function has changed slightly and plugins that use it may
398   need to change how they call it. This function's first three parameters
399   are unchanged, but additional options are now passed using named
400   parameters. If you used htmllink with more than 3 parameters, you will
401   need to change it. The plugin interface version has been increased to 1.02
402   to reflect this change.
403
404  -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
405
406 ikiwiki (1.42) unstable; urgency=low
407
408   The anonok setting in config files has been removed. To enable
409   httpauth support on your wiki, you should now enable the anonok plugin,
410   instead.
411
412   Third-party plugins that use pagespec_match() should be updated to pass
413   the new third parameter (from) to that function. This is needed for the
414   new relative glob matching to work.
415
416  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
417
418 ikiwiki (1.34) unstable; urgency=low
419
420   The httpauth setting in config files has been removed. To enable
421   httpauth support on your wiki, you should now enable the httpauth plugin,
422   instead.
423
424   This release includes OpenID support that is enabled through the openid
425   plugin. I recommend turning this on to make it easier for users to sign
426   in to your wiki.
427
428  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
429
430 ikiwiki (1.32) unstable; urgency=low
431
432   There is a change to the plugin interface in this version. Any plugins that
433   modify data in %links should pass scan => 1 when registering the hook that
434   does so.
435
436  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
437
438 ikiwiki (1.29) unstable; urgency=low
439
440   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
441   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
442   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
443
444   There is a change to the plugin interface in this version. Plugins that use
445   %renderedfiles will need to be updated, as the hash's values are now arrays
446   of rendered files. Plugins that cause a page to render additional files
447   should use the new will_render function to register the files.
448
449  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
450
451 ikiwiki (1.22) unstable; urgency=low
452   
453   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
454   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
455   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
456   to force a rebuild.
457
458   If you have modified versions of ikiwiki's html templates, you will need
459   to update your templates to link to the stylesheet file using
460   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
461   STYLEURL.
462
463   There have also been some changes to the plugin interface:
464   Any plugins that use santize, htmlize, or format hooks will need to be
465   updated for this version of ikiwiki since these hooks have been changed
466   to use named parameters.
467
468  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
469
470 ikiwiki (1.13) unstable; urgency=low
471
472   The GlobList format which was used for specifiying sets of pages, has been
473   replaced with a new, more expressive PageSpec format. While GlobLists will
474   continue to work, that format is deprecated, and you are encouraged to use
475   PageSpecs from now on, and also to change any GlobLists in your wiki to
476   PageSpecs. See the new PageSpec page for details.
477   
478   You will need to rebuild your wiki when upgrading to this version. If you
479   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
480   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
481   rebuild.
482
483  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
484
485 ikiwiki (1.11) unstable; urgency=low
486
487   Some changes to tags in this release, due to a new tag plugin. If you have
488   been using the meta plugin to tag pages, you'll want to enable the tag
489   plugin too, and change things like this:
490
491   [[meta link="foobar"]]
492
493   To this:
494
495   [[tag foobar]]
496
497   The new tags will appear at page footers, and are also easier to type.
498
499   There have also been some changes to the plugin interface, particularly the
500   interface of pagetemplate hooks has changed. See the changelog for details.
501
502  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
503
504 ikiwiki (1.8) unstable; urgency=low
505
506   If your wiki is configured with a setup file, you should modify it to
507   stop setting the "plugin" list directly, and instead add or remove plugins
508   via the add_plugins and disable_plugins lines. For example, if you had:
509
510         plugin => [qw{inline smiley search}],
511
512   Change it to these lines, which disables the default htmlscrubber plugin
513   and adds the two additional plugins:
514
515         add_plugins => [qw{smiley search}],
516         disable_plugins => [qw{htmlscrubber}],
517
518   Making this change makes your ikiwiki setup file more future-proof since
519   new default plugins will be automatically used.
520   
521   You will need to rebuild your ikiwiki wrappers when upgrading to this
522   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
523   done automatically when the Debian package is upgraded. Or use
524   ikiiki-mass-rebuild --refresh to force a refresh.
525
526  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
527
528 ikiwiki (1.1) unstable; urgency=low
529
530   There have been several configuration changes in this release of ikiwiki:
531
532   The --svn and --no-svn switches are removed, instead you should use
533    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
534   be changed to set rcs => "svn"; if your setup file sets svn => 0
535   then change it to use rcs => "" to disable svn.
536
537   The --hyperestraier switch is gone too. To enable searching, turn on the
538   search plugin, by passing --plugin=search or through the plugin setting in
539   the setup file.
540
541   The --sanitize and --no-sanitize switches are also gone, replaced with the
542   htmlscrubber plugin. This plugin is enabled by default, to disable it,
543   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
544   setup file.
545
546   Discussion pages are enabled by default, but if your wiki is configured
547   with a setup file, you need to edit it to keep them enabled on upgrade
548   to this version. Add a line reading:
549   discussion => 1,
550
551   You will need to rebuild your wiki when upgrading to this version.
552   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
553   automatically when the Debian package is upgraded. Or use
554   ikiiki-mass-rebuild to force a rebuild.
555
556  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400